﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title></title>
    <!--<script src="https://d3js.org/d3.v4.min.js"></script>-->
    <link href="../css/timeline.css" rel="stylesheet" />
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {
            $('#sidebarCollapse').on('click', function () {
                // $(".coach-bar").toggleClass('hide');
                $(".leftsidebar").toggleClass('hide');
                $('#Tsidebar').toggleClass('active');
                $(this).toggleClass('active');

            });

            $.datetimepicker.setLocale('en');
            $('#datetimepickerFrom').datetimepicker({
                formatTime: 'H:i',
                formatDate: 'Y-m-d',//'d.m.Y',
                timepickerScrollbar: false
            }
            );
            $('#datetimepickerTo').datetimepicker({
                formatTime: 'H:i',
                formatDate: 'Y-m-d',//'d.m.Y',
                timepickerScrollbar: false,
                defaultDate: new Date() - 28,
            });


        });
    </script>
    <style>


        h1 {
            text-align: center;
            font-size: 20px;
            font-weight: 600;
            font-family: "Open Sans", sans-serif;
        }

        h2 {
            text-align: left;
            margin-left: 165;
            margin-bottom: -10;
            font-size: 16px;
            font-weight: 400;
            font-family: "Open Sans", sans-serif;
            color: gray;
        }

        #explanation {
            font-size: 12px;
            font-family: "Open Sans", sans-serif;
            max-width: 620px;
            margin: -30 auto;
            padding-top: 0px;
            color: gray;
            font-weight: 400;
        }

        .bar--positive {
            fill: green;
        }

        .bar--negative {
            fill: red;
        }

        .bar {
            border: solid 1px black;
        }

            .bar:hover {
                fill: #e1ef1f;
                fill-opacity: .8;
            }

        .axis path,
        .axis line {
            fill: none;
            stroke: #0099cc;
            shape-rendering: crispEdges;
        }

        text {
            font-family: "Open Sans", sans-serif;
            font-weight: 400;
            font-size: 10px;
            color: black;
        }

        .d3-tip {
            line-height: 1;
            font-size: 11px;
            font-weight: bold;
            font-family: "Open Sans", sans-serif;
            padding: 12px;
            background: rgba(0, 0, 0, 0.8);
            color: #fff;
            border-radius: 2px;
        }

            /* Creates a small triangle extender for the tooltip */
            .d3-tip:after {
                box-sizing: border-box;
                display: inline;
                font-size: 12px;
                width: 100%;
                line-height: 1;
                color: rgba(0, 0, 0, 0.8);
                content: "\25BC";
                position: absolute;
                text-align: center;
            }

            /* Style northward tooltips differently */
            .d3-tip.n:after {
                margin: -1px 0 0 0;
                top: 100%;
                left: 0;
            }

        /*.bar--positive {
            fill: green;
            height: 17px;
        }

        .bar--negative {
            fill: red;
            height: 17px;
        }

        .axis text {
            font: 10px sans-serif;
        }

        .axis path,
        .axis line {
            fill: none;
            stroke: #000;
            shape-rendering: crispEdges;
        }*/


        .dot {
            stroke: #F00;
        }

        .first-child {
            width: 37% !important;
            text-align: center;
<<<<<<< HEAD
        }

        th:hover {
            position: relative;
        }

        th[title]:hover:after {
            content: attr(title);
            padding: 4px 8px;
            position: absolute;
            left: 0;
            top: -118%;
            white-space: nowrap;
            z-index: 20px;
            color: white;
            background: black;
            border: 1px solid #333;
            border-radius: 5px;
        }
      
=======
        }

        th:hover {
            position: relative;
        }

        th[title]:hover:after {
            content: attr(title);
            padding: 4px 8px;
            position: absolute;
            left: 0;
            top: -118%;
            white-space: nowrap;
            z-index: 20px;
            color: white;
            background: black;
            border: 1px solid #333;
            border-radius: 5px;
        }
    </style>
    <style>
        /*html, body {
                    margin: 0;
                    padding: 0;
                    width: 100%;
                    height: 100%;
                    font-family: 'Merriweather';
                    text-align: center;
                }*/

        button, input, optgroup, select, textarea {
            color: inherit;
            font: inherit;
            margin: 0;
        }

        /**
        * Container
        **/

        .container {
            width: 100%;
            max-width: 850px;
            padding: 30px 30px 40px;
            box-sizing: border-box;
            text-align: center;
        }

        /**
        * Select
        **/

        select {
            padding: 6px 28px 6px 6px;
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
            box-sizing: border-box;
            background: transparent;
            -webkit-user-select: none;
            -moz-user-select: -moz-none;
            -ms-user-select: none;
            user-select: none;
            cursor: pointer;
            border-radius: 4px;
            background-image: url(caret.png);
            border: 1px solid #ccc;
            background-repeat: no-repeat;
            background-size: 23px;
            background-position: 95% 4px;
        }

        /**
        * Inputs
        **/

        input[type=text],
        input[type=password],
        input[type=url],
        input[type=email],
        input[type=tel],
        input[type=search],
        input[type=number],
        input[type=date],
        input[type=month],
        input[type=week],
        input[type=datetime],
        input[type=datetime-local] {
            line-height: normal;
            height: 20px;
            padding: 6px;
            border-radius: 4px;
            border: none;
            background: #efefef;
            margin: 5px 0;
        }

        /**
        * Chart scrolls
        **/

        .chart {
            max-width: 100%;
            overflow: auto;
        }

        /**
        * Selects and Inputs
        **/

        .center-selects {
            text-align: center;
            margin-top: 20px;
        }

        .select-container {
            display: inline-block;
        }

            .select-container select,
            .select-container input {
                font-size: 13px;
                margin-right: 10px;
            }

        @media(max-width: 750px) {
            .select-container {
                width: 250px;
                display: block;
                text-align: right;
                margin: 10px auto;
            }
        }

        /**
        * Tooltip
        **/

        .tooltip {
            position: absolute;
            z-index: -1;
            opacity: 0;
            background: #efefef;
            box-sizing: border-box;
            padding: 3px;
            text-align: center;
        }

            .tooltip * {
                display: inline-block;
            }

            .tooltip .value {
                color: #52beda;
                font-weight: 800;
                font-size: 24px;
                vertical-align: bottom;
            }

        /**
        * Chart axes
        **/

        .domain {
            fill: none;
            stroke: darkgray;
        }

        text {
            font-family: 'courier';
            font-size: 10px;
            fill: #666;
        }

        /**
        * Poet relationship chart
        **/

        .discrete-scatterplot-container {
            text-align: center;
            position: relative;
        }

        @media(min-width: 900px) {
            #discrete-scatterplot {
                margin-left: -40px;
            }
        }

        #discrete-scatterplot .grid {
            fill: #fff;
        }

        #discrete-scatterplot line {
            stroke: #cdcdcd;
            stroke-width: 1px;
            shape-rendering: crispEdges;
        }

            #discrete-scatterplot line.neutral-line {
                stroke: #7f7f7f;
            }

        #discrete-scatterplot-tooltip {
            width: 340px;
        }
>>>>>>> b88beb5503bcf0da756b1350c2310719805836b0
    </style>
</head>
<body style="text-align:center">
    <div class="container-fluid">
        <div class="row-fluid">
            <h3>
                Insights – Usage – Outstanding Activity
            </h3>
            <hr />
            <div id="chart"></div>
            <div class="timelinechart">
            </div>
            <!-- Sidebar -->
            <div class="leftsidebar col-lg-11">
                <br />
                <center>
                    <div class="tab-content" ng-controller="OutStActController">

                        <div id="menu" class="tab-pane fade show active">
                            <div class="row" style="text-align:right">
                                <div class="col-lg-8">
                                    <a href="javascript:void(0);" ng-click="GenerateChart()">Chart</a> |
                                    <a href="javascript:void(0);" ng-click="ShowTable()">Table</a>
                                </div>
                                <div class="col-lg-2" style="text-align:right">
                                    <select class="form-control" ng-model="filter" ng-change="sortBy(filter)" style="width:100%">
                                        <option selected value="name">Name</option>
                                        <option value="role">Role</option>
                                        <option value="managerName">Manager</option>
                                        <option value="osActivity">O/S Activity</option>
                                        <option value="overdue">Overdue</option>
                                        <option value="ODpercent">% Overdue</option>
                                        <option value="oldestDate">Oldest</option>
                                        <option value="nextDate">Next</option>
                                    </select>
                                    </div>
                                    <div class="col-lg-1"  class="form-group">
                                        <button href="#menu-toggle" type="button" style="margin:0px" id="menu-toggle" class="navbar-btn active">
                                            <span></span>
                                            <span></span>
                                            <span></span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <div class="container-fluid">

<<<<<<< HEAD
                                <div id="ChartPanel" style="display:{{showChart}}">
                                    <div class="mkk"></div>
                                    <!--<div id='discrete-scatterplot-selects' class='center-selects'>
                                        <div class='select-container'>
                                            <label>Rows:</label>
                                            <select id='scatterplot-rows'>
                                                <option value='occupations' selected>Occupation</option>
                                                <option value='gender'>Gender</option>
                                                <option value='education'>Education</option>
                                                <option value='religion'>Religion</option>
                                                <option value='nationalities'>Nationality</option>
                                                <option value='writing'>Writing</option>
                                            </select>
                                        </div>

                                        <div class='select-container'>
                                            <label>Points:</label>
                                            <select id='scatterplot-points'>
                                                <option value='occupations' selected>Occupation</option>
                                                <option value='gender'>Gender</option>
                                                <option value='education'>Education</option>
                                                <option value='religion'>Religion</option>
                                                <option value='nationalities'>Nationality</option>
                                                <option value='writing'>Writing</option>
                                            </select>
                                        </div>

                                        <div class='select-container'>
                                            <label>Jitter:</label>
                                            <input type='checkbox' id='jitterbug-perfume' />
                                        </div>

                                        <div class='select-container'>
                                            <label>Discretize:</label>
                                            <input type='checkbox' id='discretize' />
                                        </div>
                                    </div>-->
                                </div>
                                <div id="tablePanel" style="display:{{showTable }}">
                                    <table class="tableO tablesorter"  border="1"></table>

                                    <table border="1" class="tablesorter table-striped" id="myTable">
                                        <thead>
                                            <tr>
                                                <th ng-click="sortBy('name')" width="75" class="header" title="Name">Name </th>
                                                <th ng-click="sortBy('role ')" width="75" class="header" title="Role Name">Role Name </th>
                                                <th ng-click="sortBy('managerName ')" width="75" class="header" title="Manager Name">Manager Name </th>
                                                <th ng-click="sortBy('osActivity')" width="75" class="header" title="O/S Activities">O/S Activities </th>
                                                <th ng-click="sortBy('overdue ')" width="75" class="header" title="O/S Activities Overdue">O/S Activities Overdue </th>
                                                <th ng-click="sortBy('ODpercent ')" width="75" class="header" title="% Overdue">% Overdue </th>
                                                <th ng-click="sortBy('oldestDate')" width="75" class="header" title="Oldest Item">Oldest Item </th>
                                                <th ng-click="sortBy('nextDate')" width="75" class="header" title="Next Item">Next Item </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr style="font-weight: bold;" ng-repeat="tab in tabledata | orderBy:propertyName:reverse">
                                                <td class="string">{{tab.name}}</td>
                                                <td class="string">{{tab.role }}</td>
                                                <td class="string">{{tab.managerName }}</td>
                                                <td class="number">{{tab.osActivity }}</td>
                                                <td class="number">{{tab.overdue }}</td>
                                                <td class="number">{{tab.ODpercent.toFixed(1) }}%</td>
                                                <td class="number">{{tab.oldestDate }}</td>
                                                <td class="number">{{tab.nextDate }}</td>
                                            </tr>
                                        </tbody>
                                        <tfoot>
                                            <tr class="total">
                                                <td colspan="2" style="text-align:left;border-right:0px">Summmary Of Table </td>
                                                <td></td>
                                                <td>{{summeryData.totalOS}}</td>
                                                <td>{{summeryData.OSoverdue }}</td>
                                                <td>{{summeryData.percentOD.toFixed(1) }}%</td>
                                                <td>{{summeryData.OldestDate }}</td>
                                                <td>{{summeryData.Longest  }}</td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                    <div style="text-align:center">
                                        <button ng-click="btnLoadMore()" id="btnLoadMore">Load More ... </button>
                                        <button ng-click="LoadAll()">Load All </button>
=======
                                <div id="ChartPanel" style="display:{{showChart}}">
                                    <div class="mkk"></div>
                                    <div id='discrete-scatterplot-selects' style="display:none" class='center-selects'>
                                        <div class='select-container'>
                                            <label>Rows:</label>
                                            <select id='scatterplot-rows'>
                                                <option value='occupations' selected>Occupation</option>
                                                <option value='gender'>Gender</option>
                                                <option value='education'>Education</option>
                                                <option value='religion'>Religion</option>
                                                <option value='nationalities'>Nationality</option>
                                                <option value='writing'>Writing</option>
                                            </select>
                                        </div>

                                        <div class='select-container'>
                                            <label>Points:</label>
                                            <select id='scatterplot-points'>
                                                <option value='occupations' selected>Occupation</option>
                                                <option value='gender'>Gender</option>
                                                <option value='education'>Education</option>
                                                <option value='religion'>Religion</option>
                                                <option value='nationalities'>Nationality</option>
                                                <option value='writing'>Writing</option>
                                            </select>
                                        </div>

                                        <div class='select-container'>
                                            <label>Jitter:</label>
                                            <input type='checkbox' id='jitterbug-perfume' />
                                        </div>

                                        <div class='select-container'>
                                            <label>Discretize:</label>
                                            <input type='checkbox' id='discretize' />
                                        </div>
>>>>>>> b88beb5503bcf0da756b1350c2310719805836b0
                                    </div>

                                    <div class='discrete-scatterplot-container' style="width:90%">
                                        <div id='discrete-scatterplot-tooltip' class='tooltip'>
                                            <div class='y-level'></div>
                                            <div class='x-level'></div>
                                            <div class='value'></div>
                                        </div>
                                        <!--<div style="overflow-y:scroll;height:300px">-->
                                        <div id='discrete-scatterplot' class='chart' ></div>
                                    </div>
                               
                            </div>
                            <div id="tablePanel" style="display:{{showTable }}">
                                <table class="tableO tablesorter" border="1"></table>
                                <table border="1" class="tablesorter table-striped" id="myTable">
                                    <thead>
                                        <tr>
                                            <th ng-click="sortBy('name')" width="75" class="header" title="Name">Name </th>
                                            <th ng-click="sortBy('role ')" width="75" class="header" title="Role Name">Role Name </th>
                                            <th ng-click="sortBy('managerName ')" width="75" class="header" title="Manager Name">Manager Name </th>
                                            <th ng-click="sortBy('osActivity')" width="75" class="header" title="O/S Activities">O/S Activities </th>
                                            <th ng-click="sortBy('overdue ')" width="75" class="header" title="O/S Activities Overdue">O/S Activities Overdue </th>
                                            <th ng-click="sortBy('ODpercent ')" width="75" class="header" title="% Overdue">% Overdue </th>
                                            <th ng-click="sortBy('oldestDate')" width="75" class="header" title="Oldest Item">Oldest Item </th>
                                            <th ng-click="sortBy('nextDate')" width="75" class="header" title="Next Item">Next Item </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr style="font-weight: bold;" ng-repeat="tab in tabledata | orderBy:propertyName:reverse">
                                            <td class="string">{{tab.name}}</td>
                                            <td class="string">{{tab.role }}</td>
                                            <td class="string">{{tab.managerName }}</td>
                                            <td class="number">{{tab.osActivity }}</td>
                                            <td class="number">{{tab.overdue }}</td>
                                            <td class="number">{{tab.ODpercent.toFixed(1) }}%</td>
                                            <td class="number">{{tab.oldestDate }}</td>
                                            <td class="number">{{tab.nextDate }}</td>
                                        </tr>
                                    </tbody>
                                    <tfoot>
                                        <tr class="total">
                                            <td colspan="2" style="text-align:left;border-right:0px">Summmary Of Table </td>
                                            <td></td>
                                            <td>{{summeryData.totalOS}}</td>
                                            <td>{{summeryData.OSoverdue }}</td>
                                            <td>{{summeryData.percentOD.toFixed(1) }}%</td>
                                            <td>{{summeryData.OldestDate }}</td>
                                            <td>{{summeryData.Longest  }}</td>
                                        </tr>
                                    </tfoot>
                                </table>
                                <div style="text-align:center">
                                    <button ng-click="btnLoadMore()" id="btnLoadMore">Load More ... </button>
                                    <button ng-click="LoadAll()">Load All </button>
                                </div>
                            </div>
                        </div>

                    </div>
            </div>
            </center>
            <!--<div class="container" >
                <div id="proActsvg" style="text-align:center"></div>
            </div>-->
        </div>
    </div>
    </div>
</body>
</html>
